com.rscja.team.qcom.deviceapi

## Class ScanerLedLight_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.Device_qcom
  - - com.rscja.team.qcom.deviceapi.ScanerLedLight_qcom

-     public class ScanerLedLight_qcom
      extends Device_qcom

  扫描LED灯控制类（仅C6000有效）
  Scanning LED light control type ( valid for C6000 only)
  Author:
    liuruifeng

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanerLedLight_qcom()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `blink(android.content.Context context)` 亮0.5S后熄灭 light up for 0.5s then OFF
    `void` | `blink(android.content.Context context, int lightTime, int interval)` 控制亮灯后自动熄灭
    `void` | `closeAuxiliaryLight(android.content.Context context)` 关闭扫描辅助灯，目前只支持C70系列 Switch on scanning light, support C70 series only
    `void` | `free()` 释放设备资源 release device source
    `static ScanerLedLight_qcom` | `getInstance()` 获取LED灯操作实例 Acquire LED light operation example
    `void` | `init()` 初始化设备资源 initialize device source
    `void` | `off(android.content.Context context)` 关闭LED灯 Switch off LED light
    `void` | `On(android.content.Context context)` 打开LED灯 Switch on LED light
    `void` | `openAuxiliaryLight(android.content.Context context)` 打开扫描辅助灯，目前只支持C70系列 Switch on scanning light, support C70 series only

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.Device_qcom

      `isPowerOn`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScanerLedLight_qcom

          public ScanerLedLight_qcom()

  - ### Method Detail

    - #### getInstance

          public static ScanerLedLight_qcom getInstance()

      获取LED灯操作实例
      Acquire LED light operation example
      Returns:
        LED灯操作实例
        LED light operation example

    - #### init

          public void init()

      初始化设备资源
      initialize device source

    - #### free

          public void free()

      释放设备资源
      release device source

    - #### On

          public void On(android.content.Context context)

      打开LED灯
      Switch on LED light

    - #### off

          public void off(android.content.Context context)

      关闭LED灯
      Switch off LED light

    - #### blink

          public void blink(android.content.Context context)

      亮0.5S后熄灭
      light up for 0.5s then OFF

    - #### blink

          public void blink(android.content.Context context,
                            int lightTime,
                            int interval)

      控制亮灯后自动熄灭
      Parameters:
        `context` -
        `lightTime` - 亮度时间(不低于50ms),到达此时间之后自动熄灭,单位:毫秒
        `interval` - 间隔时间(不低于50ms),单位:毫秒

    - #### openAuxiliaryLight

          public void openAuxiliaryLight(android.content.Context context)

      打开扫描辅助灯，目前只支持C70系列
      Switch on scanning light, support C70 series only

    - #### closeAuxiliaryLight

          public void closeAuxiliaryLight(android.content.Context context)

      关闭扫描辅助灯，目前只支持C70系列
      Switch on scanning light, support C70 series only